/*
 * errdb.h
 *
 * This file defines a number of standard errors and error messages for
 * strdb core programs and applications.
 *
 * Copyright (c) 1997 Amelia A. Lewis
 * Distributed under GPL.  See ../COPYING
 *
 * $Id: errdb.h 13 2004-03-27 20:21:34Z amyzing $
 */

#ifndef SDB_ERRDB_H
#define SDB_ERRDB_H

#define sdb_ENOTIDX	 1
#define sdb_ENOTKEY	 2
#define sdb_EIDXDATE	 3
#define sdb_EKEYDATE	 4
#define sdb_EIDXRANGE	 5
#define sdb_EUSAGE	 6
#define sdb_EVER	 7
#define sdb_EFREAD	 8
#define sdb_EFWRITE	 9
#define sdb_ENOENT	10
#define sdb_EMEMFAULT	12
#define sdb_ECHAOS	16

extern const char *sdb_err_string[];

int
sdb_unicorn(FILE *, char);

#endif
